POST
Adopt a media version

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

id
string
required

Drama ID

mediaId
string
required

Media ID

version
integer<int32>
required

Version number

Response

OK

A media slot (character, turnaround, scene, prop, keyframe, clip, final, cover, poster) with its current version.

id
string

ID (dmedia_ prefix)

Example:

"dmedia_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

object
string

Object type

Example:

"drama.media"

episode_no
integer<int32>

Episode number

Example:

1

category
enum<string>

Category

Available options:
character,
turnaround,
scene,
prop,
keyframe,
clip,
final,
cover,
poster
Example:

"keyframe"

element_code
string

Code of the character, scene or prop

shot_no
integer<int32>

Segment number (keyframes and clips)

stale
boolean

Upstream changed: a reference image, keyframe or clip it was made from has a new version; you can regenerate it

current
object

One version of a media item.

latest
object

One version of a media item.